# Fastag API 02

NOTE:&#x20;

User have to enter vehiclenumber or tagid in request body. If user will enter both\
vehiclenumber and tagid in request body, user will get the error response from Fastag\
API. User have to enter one of these either vehiclenumber or tagid for get the\
response.

{% tabs %}
{% tab title="FASTAG API" %}

<table><thead><tr><th width="119">Name</th><th>Description</th></tr></thead><tbody><tr><td><strong>URL</strong></td><td><a href="https://api-platform.mastersindia.co/api/v2/sbt/FASTAG/">https://api-platform.mastersindia.co/api/v2/sbt/FASTAG/</a>02</td></tr><tr><td><strong>Method Type</strong></td><td>POST</td></tr><tr><td><strong>Header</strong></td><td></td></tr><tr><td><strong>Body</strong></td><td><p><br>raw - JSON </p><pre class="language-postman_json"><code class="lang-postman_json">{
"vehiclenumber": "MP09HF4987", 
"tagid": "34161FA8203286140F4064E0"
}

Enter either Vehicle number ot tag id shall be pass to find the details </code></pre></td></tr><tr><td><strong>Action</strong></td><td>Hit Send Button</td></tr><tr><td><strong>Success Response</strong></td><td><p>In case tag id or vehicle number or Tagid exist</p><pre class="language-json"><code class="lang-json">\`\`\`json
{
"success": true,
"message": "Success",
"data": {
"response": \[
{
"response": {
"result": "SUCCESS",
"successReqCnt": "1",
"totReqCnt": "1",
"respCode": "000",
"ts": "2024-07-12T11:43:38",
"vehicle": {
"errCode": "000",
"vehicledetails": \[
{
"detail": \[
{
"name": "TAGID",
"value": "34161FA820328972487BE420"
},
{
"name": "REGNUMBER",
"value": "MP09DJ2744"
},
{
"name": "TID",
"value": "E200680A0000400AAC53CC34"
},
{
"name": "VEHICLECLASS",
"value": "VC20"
},
{
"name": "TAGSTATUS",
"value": "A"
},
{
"name": "ISSUEDATE",
"value": "2024-04-09"
},
{
"name": "EXCCODE",
"value": "00"
},
{
"name": "BANKID",
"value": "607417"
},
{
"name": "COMVEHICLE",
"value": "T"
}
]
}
]
}
},
"responseStatus": "SUCCESS"
}
],
"error": "false",
"code": "200",
"message": "Success"
}
}

```
</code></pre></td></tr><tr><td></td><td><p>IIn case if we enter both vehiclenumber and tagid</p><p>In case of vehiclenumber or tagid does not exist in FASTAG system - "errCode": "239"</p></td></tr><tr><td></td><td>In case of Invalid vehicle number ot tagid - "code": "400",</td></tr><tr><td></td><td>In case if we enter vehiclenumber or tagid null or empty - "code": "200",</td></tr></tbody></table>

<table><thead><tr><th width="100">Key</th><th>Values</th><th width="100">Mandatory</th></tr></thead><tbody><tr><td>Authorization</td><td>JWT eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJ1c2VyX2lkIjoxNDgsInVzZXJuYW1lIjoicHJhdGVla3JhaStkZW1vQG1hc3RlcnNpbmRpYS5jbyIsImV4cCI6MTY5NjA0Njc4MCwiZW1haWwiOiJwcmF0ZWVrcmFpK2RlbW9AbWFzdGVyc2luZGlhLmNvIiwib3JpZ19pYXQiOjE2OTU5NjAzODB9.zWJsCcqMd06X1aMjvXPQRqQGQddKjF6vpkOZgKFG_80</td><td>Yes</td></tr><tr><td>Subid</td><td></td><td>Yes- Will be shared during POC.</td></tr><tr><td>Productid</td><td>arap</td><td>Yes</td></tr><tr><td>Mode</td><td>Buyer</td><td>Yes</td></tr></tbody></table>
{% endtab %}
{% endtabs %}



Errors

Status Code 200: vehicle data response\
Status Code 400: Bad request (Invalid json syntax, invalid json key)\
Status Code 401 or 403: Unauthenticated or Unauthorized\
Status Code 500: Some internal server error occurred\
Status Code 502: Server is not responding.
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.mastersindia.co/masters-india-apis/proof-of-delivery-pod-api/fastag-api-02.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
